# Public Documentation

These functions and types are to be used for transfer matrix calculation
based on the sources used. If you wish to modify any of the steps in the 
calculation, refer to the private API.

## Index

```@index
Pages = ["public.md"]
```

## Transfer Matrix Functions

```@autodocs
Modules = [TransferMatrix]
Pages = ["general_TMM.jl", "layers.jl"]
Private = false
```

## Types

```@autodocs
Modules = [TransferMatrix]
Pages = ["types.jl"]
Private = false
```

## Data Read/Write Functions

```@autodocs
Modules = [TransferMatrix]
Pages = ["dataio.jl"]
Private = false
```

## Miscellaneous Optics Functions

```@autodocs
Modules = [TransferMatrix]
Pages = ["optics_functions.jl"]
Private = false
```